Query Property Value Descriptions
curl --request GET \
--url https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"PropertyValueId": 123,
"Name": "<string>",
"Description": "<string>",
"SeoPath": "<string>",
"SeoMetaDescription": "<string>",
"SeoTitleTag": "<string>",
"SeoMetaKeywords": "<string>",
"LanguageIso": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Property
Query Property Value Descriptions
deprecated
Query all descriptions for a specific property value
GET
/
properties
/
{propertyId}
/
values
/
{propertyValueId}
/
descriptions
Query Property Value Descriptions
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the property.
The id of the property value.
Response
The requested property value descriptions.
Unique ID to identify a property value.
The property value name in the given language.
The property value description in the given language.
The SEO path in the given language.
The SEO metadescription in the given language.
The title tag (SEO) in the given language.
The meta keywords in the given language.
The ISO code of the language of the description.
Was this page helpful?